%define major                 0
%define libname               %mklibname nfnetlink %{major}
%define libnamedevel          %mklibname nfnetlink -d
%define libnamedevelold       %mklibname nfnetlink 0-devel
%define libnamestaticdevel    %mklibname nfnetlink -d -s
%define libnamestaticdevelold %mklibname nfnetlink 0-static-devel

Name:           libnfnetlink
Version:        1.0.0
Release:        %mkrel 2
Summary:        Userspace library for handling of netfilter netlink messages
Group:          System/Libraries
License:        GPL
URL:            http://www.netfilter.org/projects/libnfnetlink/index.html
Source0:        http://www.netfilter.org/projects/libnfnetlink/files/libnfnetlink-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
nfnetlink is a netlink(7) based kernel/userspace transport layer. It
provides a unified kernel/userspace interface for the various netfilter
subsystems, such as connection tracking, logging and queueing.

%package -n %{libname}
Summary:        Main library for %{name}
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}
Provides:       nfnetlink = %{version}-%{release}

%description -n %{libname}
libnfnetlink is a userspace library that provides some low-level
nfnetlink handling functions. It is used as a foundation for other, netfilter
subsystem specific libraries such as libnfnetlink_conntrack, libnfnetlink_log
and libnfnetlink_queue.

%package -n %{libnamedevel}
Summary:        Development files for %{name}
Group:          Development/Libraries
Obsoletes:      %{libnamedevelold} < %{version}-%{release}
Obsoletes:	%{mklibname -d nfnetlink 1} < %{version}-%{release}
Provides:       nfnetlink-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{libnamedevel}
This package contains the development files for %{name}.

%package -n %{libnamestaticdevel}
Summary:        Static development files for %{name}
Group:          Development/Libraries
Obsoletes:      %{libnamestaticdevelold} < %{version}-%{release}
Obsoletes:      %{mklibname -s -d nfnetlink 1} < %{version}-%{release}
Provides:       nfnetlink-static-devel = %{version}-%{release}
Requires:       %{libnamedevel} = %{version}-%{release}

%description -n %{libnamestaticdevel}
This package contains the static development files for %{name}.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std

rm -f %buildroot/%{_libdir}/*.la

%files -n %{libname}
%defattr(-,root,root,-)
%doc README
%{_libdir}/*.so.%{major}*

%files -n %{libnamedevel}
%defattr(-,root,root,-)
%{_includedir}/libnfnetlink
%{_libdir}/*.so
%{_libdir}/pkgconfig/libnfnetlink.pc


%files -n %{libnamestaticdevel}
%defattr(-,root,root,-)
%{_libdir}/*.a


%changelog
* Wed Dec 15 2016 bb <bb> 1.0.0-2pclos2017
- rebuild for 2017

* Sun Oct 23 2011 Texstar <texstar at gmail.com> 1.0.0-1pclos2011
- 1.0.0

